Skip to content

computeInvoiceDateDue

READ

Compute an invoice's Due Date from its Issue Date and Payment Term, by the one rule `paymentTermDueDate` (`@carbon/utils`), which the posting operations call t….

POST /api/v1/invoicing/computeInvoiceDateDue
curl -X POST '<your-host>/api/v1/invoicing/computeInvoiceDateDue' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "dateIssued": "string",
    "paymentTermId": "string"
  }'
Response
"string"

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "dateIssued": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "paymentTermId": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    }
  },
  "required": [
    "dateIssued",
    "paymentTermId"
  ]
}